classification
Title: image/webp missing from mimetypes.py
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: duplicate
Dependencies: Superseder: mimetypes does not support webm type
View: 16329
Assigned To: Nosy List: Richard.Rabbat, eric.araujo, neufeind, r.david.murray, sandro.tosi, terry.reedy
Priority: normal Keywords:

Created on 2011-03-01 18:07 by Richard.Rabbat, last changed 2014-03-18 17:29 by serhiy.storchaka. This issue is now closed.

Messages (4)
msg129786 - (view) Author: Richard Rabbat (Richard.Rabbat) Date: 2011-03-01 18:07
image/webp is missing from the mimetypes.py list of valid mimetypes. 
webp is an open-source image format and uses vp8 as a codec.
msg129789 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-03-01 18:37
Is there an IANA registration for this?  Any other standards references to it would be helpful, if it doesn't.  See issue 10730 for an example of the research that went in to the last mimetypes addition.
msg130082 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-03-04 22:21
No IANA registration. According to
https://secure.wikimedia.org/wikipedia/en/wiki/Webp
this is a Google-specific proposal rather than a standard.
Thus addition would seem premature at this time.
msg142618 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-08-21 12:26
On a related note, the Google-originated video codec WebM is used out there and supported by various software.
History
Date User Action Args
2014-03-18 17:29:49serhiy.storchakasetstatus: open -> closed
superseder: mimetypes does not support webm type
resolution: duplicate
stage: resolved
2012-11-12 21:08:31neufeindsetnosy: + neufeind
2011-08-21 12:26:26eric.araujosetnosy: + eric.araujo
messages: + msg142618
2011-08-20 22:37:54sandro.tosisetnosy: + sandro.tosi
2011-03-04 22:21:24terry.reedysetnosy: + terry.reedy
messages: + msg130082
2011-03-01 18:37:16r.david.murraysetnosy: + r.david.murray

messages: + msg129789
versions: - Python 2.6, Python 3.1, Python 2.7, Python 3.2
2011-03-01 18:07:48Richard.Rabbatcreate